Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class DLSModulator

    java.lang.Object
      com.sun.media.sound.DLSModulator

    public class DLSModulator

extends java.lang.Object

This class is used to store modulator/artiuclation data. A modulator connects one synthesizer source to a destination. For example a note on velocity can be mapped to the gain of the synthesized voice. It is stored as a "art1" or "art2" chunk inside DLS files.

Author:
  Karl Helgason

Field Summary
`static int` | `CONN_DST_CENTER`
`static int` | `CONN_DST_CHORUS`
`static int` | `CONN_DST_EG1_ATTACKTIME`
`static int` | `CONN_DST_EG1_DECAYTIME`
`static int` | `CONN_DST_EG1_DELAYTIME`
`static int` | `CONN_DST_EG1_HOLDTIME`
`static int` | `CONN_DST_EG1_RELEASETIME`
`static int` | `CONN_DST_EG1_SHUTDOWNTIME`
`static int` | `CONN_DST_EG1_SUSTAINLEVEL`
`static int` | `CONN_DST_EG2_ATTACKTIME`
`static int` | `CONN_DST_EG2_DECAYTIME`
`static int` | `CONN_DST_EG2_DELAYTIME`
`static int` | `CONN_DST_EG2_HOLDTIME`
`static int` | `CONN_DST_EG2_RELEASETIME`
`static int` | `CONN_DST_EG2_SUSTAINLEVEL`
`static int` | `CONN_DST_FILTER_CUTOFF`
`static int` | `CONN_DST_FILTER_Q`
`static int` | `CONN_DST_GAIN`
`static int` | `CONN_DST_KEYNUMBER`
`static int` | `CONN_DST_LEFT`
`static int` | `CONN_DST_LEFTREAR`
`static int` | `CONN_DST_LFE_CHANNEL`
`static int` | `CONN_DST_LFO_FREQUENCY`
`static int` | `CONN_DST_LFO_STARTDELAY`
`static int` | `CONN_DST_NONE`
`static int` | `CONN_DST_PAN`
`static int` | `CONN_DST_PITCH`
`static int` | `CONN_DST_REVERB`
`static int` | `CONN_DST_RIGHT`
`static int` | `CONN_DST_RIGHTREAR`
`static int` | `CONN_DST_VIB_FREQUENCY`
`static int` | `CONN_DST_VIB_STARTDELAY`
`static int` | `CONN_SRC_CC1`
`static int` | `CONN_SRC_CC10`
`static int` | `CONN_SRC_CC11`
`static int` | `CONN_SRC_CC7`
`static int` | `CONN_SRC_CC91`
`static int` | `CONN_SRC_CC93`
`static int` | `CONN_SRC_CHANNELPRESSURE`
`static int` | `CONN_SRC_EG1`
`static int` | `CONN_SRC_EG2`
`static int` | `CONN_SRC_KEYNUMBER`
`static int` | `CONN_SRC_KEYONVELOCITY`
`static int` | `CONN_SRC_LFO`
`static int` | `CONN_SRC_MONOPRESSURE`
`static int` | `CONN_SRC_NONE`
`static int` | `CONN_SRC_PITCHWHEEL`
`static int` | `CONN_SRC_POLYPRESSURE`
`static int` | `CONN_SRC_RPN0`
`static int` | `CONN_SRC_RPN1`
`static int` | `CONN_SRC_RPN2`
`static int` | `CONN_SRC_VIBRATO`
`static int` | `CONN_TRN_CONCAVE`
`static int` | `CONN_TRN_CONVEX`
`static int` | `CONN_TRN_NONE`
`static int` | `CONN_TRN_SWITCH`
`static int` | `DST_FORMAT_CB`
`static int` | `DST_FORMAT_CENT`
`static int` | `DST_FORMAT_PERCENT`
`static int` | `DST_FORMAT_TIMECENT`

Constructor Summary
`DLSModulator()`

Method Summary
`int` | `getControl()`
`int` | `getDestination()`
`static int` | `getDestinationFormat(int destination)`
`static java.lang.String` | `getDestinationName(int destination)`
`int` | `getScale()`
`int` | `getSource()`
`static java.lang.String` | `getSourceName(int source)`
`int` | `getTransform()`
`int` | `getVersion()`
`void` | `setControl(int control)`
`void` | `setDestination(int destination)`
`void` | `setScale(int scale)`
`void` | `setSource(int source)`
`void` | `setTransform(int transform)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONN_DST_NONE

    public static final int CONN_DST_NONE

See Also:
  Constant Field Values

### CONN_DST_GAIN

    public static final int CONN_DST_GAIN

See Also:
  Constant Field Values

### CONN_DST_PITCH

    public static final int CONN_DST_PITCH

See Also:
  Constant Field Values

### CONN_DST_PAN

    public static final int CONN_DST_PAN

See Also:
  Constant Field Values

### CONN_DST_LFO_FREQUENCY

    public static final int CONN_DST_LFO_FREQUENCY

See Also:
  Constant Field Values

### CONN_DST_LFO_STARTDELAY

    public static final int CONN_DST_LFO_STARTDELAY

See Also:
  Constant Field Values

### CONN_DST_EG1_ATTACKTIME

    public static final int CONN_DST_EG1_ATTACKTIME

See Also:
  Constant Field Values

### CONN_DST_EG1_DECAYTIME

    public static final int CONN_DST_EG1_DECAYTIME

See Also:
  Constant Field Values

### CONN_DST_EG1_RELEASETIME

    public static final int CONN_DST_EG1_RELEASETIME

See Also:
  Constant Field Values

### CONN_DST_EG1_SUSTAINLEVEL

    public static final int CONN_DST_EG1_SUSTAINLEVEL

See Also:
  Constant Field Values

### CONN_DST_EG2_ATTACKTIME

    public static final int CONN_DST_EG2_ATTACKTIME

See Also:
  Constant Field Values

### CONN_DST_EG2_DECAYTIME

    public static final int CONN_DST_EG2_DECAYTIME

See Also:
  Constant Field Values

### CONN_DST_EG2_RELEASETIME

    public static final int CONN_DST_EG2_RELEASETIME

See Also:
  Constant Field Values

### CONN_DST_EG2_SUSTAINLEVEL

    public static final int CONN_DST_EG2_SUSTAINLEVEL

See Also:
  Constant Field Values

### CONN_DST_KEYNUMBER

    public static final int CONN_DST_KEYNUMBER

See Also:
  Constant Field Values

### CONN_DST_LEFT

    public static final int CONN_DST_LEFT

See Also:
  Constant Field Values

### CONN_DST_RIGHT

    public static final int CONN_DST_RIGHT

See Also:
  Constant Field Values

### CONN_DST_CENTER

    public static final int CONN_DST_CENTER

See Also:
  Constant Field Values

### CONN_DST_LEFTREAR

    public static final int CONN_DST_LEFTREAR

See Also:
  Constant Field Values

### CONN_DST_RIGHTREAR

    public static final int CONN_DST_RIGHTREAR

See Also:
  Constant Field Values

### CONN_DST_LFE_CHANNEL

    public static final int CONN_DST_LFE_CHANNEL

See Also:
  Constant Field Values

### CONN_DST_CHORUS

    public static final int CONN_DST_CHORUS

See Also:
  Constant Field Values

### CONN_DST_REVERB

    public static final int CONN_DST_REVERB

See Also:
  Constant Field Values

### CONN_DST_VIB_FREQUENCY

    public static final int CONN_DST_VIB_FREQUENCY

See Also:
  Constant Field Values

### CONN_DST_VIB_STARTDELAY

    public static final int CONN_DST_VIB_STARTDELAY

See Also:
  Constant Field Values

### CONN_DST_EG1_DELAYTIME

    public static final int CONN_DST_EG1_DELAYTIME

See Also:
  Constant Field Values

### CONN_DST_EG1_HOLDTIME

    public static final int CONN_DST_EG1_HOLDTIME

See Also:
  Constant Field Values

### CONN_DST_EG1_SHUTDOWNTIME

    public static final int CONN_DST_EG1_SHUTDOWNTIME

See Also:
  Constant Field Values

### CONN_DST_EG2_DELAYTIME

    public static final int CONN_DST_EG2_DELAYTIME

See Also:
  Constant Field Values

### CONN_DST_EG2_HOLDTIME

    public static final int CONN_DST_EG2_HOLDTIME

See Also:
  Constant Field Values

### CONN_DST_FILTER_CUTOFF

    public static final int CONN_DST_FILTER_CUTOFF

See Also:
  Constant Field Values

### CONN_DST_FILTER_Q

    public static final int CONN_DST_FILTER_Q

See Also:
  Constant Field Values

### CONN_SRC_NONE

    public static final int CONN_SRC_NONE

See Also:
  Constant Field Values

### CONN_SRC_LFO

    public static final int CONN_SRC_LFO

See Also:
  Constant Field Values

### CONN_SRC_KEYONVELOCITY

    public static final int CONN_SRC_KEYONVELOCITY

See Also:
  Constant Field Values

### CONN_SRC_KEYNUMBER

    public static final int CONN_SRC_KEYNUMBER

See Also:
  Constant Field Values

### CONN_SRC_EG1

    public static final int CONN_SRC_EG1

See Also:
  Constant Field Values

### CONN_SRC_EG2

    public static final int CONN_SRC_EG2

See Also:
  Constant Field Values

### CONN_SRC_PITCHWHEEL

    public static final int CONN_SRC_PITCHWHEEL

See Also:
  Constant Field Values

### CONN_SRC_CC1

    public static final int CONN_SRC_CC1

See Also:
  Constant Field Values

### CONN_SRC_CC7

    public static final int CONN_SRC_CC7

See Also:
  Constant Field Values

### CONN_SRC_CC10

    public static final int CONN_SRC_CC10

See Also:
  Constant Field Values

### CONN_SRC_CC11

    public static final int CONN_SRC_CC11

See Also:
  Constant Field Values

### CONN_SRC_RPN0

    public static final int CONN_SRC_RPN0

See Also:
  Constant Field Values

### CONN_SRC_RPN1

    public static final int CONN_SRC_RPN1

See Also:
  Constant Field Values

### CONN_SRC_RPN2

    public static final int CONN_SRC_RPN2

See Also:
  Constant Field Values

### CONN_SRC_POLYPRESSURE

    public static final int CONN_SRC_POLYPRESSURE

See Also:
  Constant Field Values

### CONN_SRC_CHANNELPRESSURE

    public static final int CONN_SRC_CHANNELPRESSURE

See Also:
  Constant Field Values

### CONN_SRC_VIBRATO

    public static final int CONN_SRC_VIBRATO

See Also:
  Constant Field Values

### CONN_SRC_MONOPRESSURE

    public static final int CONN_SRC_MONOPRESSURE

See Also:
  Constant Field Values

### CONN_SRC_CC91

    public static final int CONN_SRC_CC91

See Also:
  Constant Field Values

### CONN_SRC_CC93

    public static final int CONN_SRC_CC93

See Also:
  Constant Field Values

### CONN_TRN_NONE

    public static final int CONN_TRN_NONE

See Also:
  Constant Field Values

### CONN_TRN_CONCAVE

    public static final int CONN_TRN_CONCAVE

See Also:
  Constant Field Values

### CONN_TRN_CONVEX

    public static final int CONN_TRN_CONVEX

See Also:
  Constant Field Values

### CONN_TRN_SWITCH

    public static final int CONN_TRN_SWITCH

See Also:
  Constant Field Values

### DST_FORMAT_CB

    public static final int DST_FORMAT_CB

See Also:
  Constant Field Values

### DST_FORMAT_CENT

    public static final int DST_FORMAT_CENT

See Also:
  Constant Field Values

### DST_FORMAT_TIMECENT

    public static final int DST_FORMAT_TIMECENT

See Also:
  Constant Field Values

### DST_FORMAT_PERCENT

    public static final int DST_FORMAT_PERCENT

See Also:
  Constant Field Values

Constructor Detail

### DLSModulator

    public DLSModulator()

Method Detail

### getControl

    public int getControl()

### setControl

    public void setControl(int control)

### getDestinationFormat

    public static int getDestinationFormat(int destination)

### getDestinationName

    public static java.lang.String getDestinationName(int destination)

### getSourceName

    public static java.lang.String getSourceName(int source)

### getDestination

    public int getDestination()

### setDestination

    public void setDestination(int destination)

### getScale

    public int getScale()

### setScale

    public void setScale(int scale)

### getSource

    public int getSource()

### setSource

    public void setSource(int source)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getTransform

    public int getTransform()

### setTransform

    public void setTransform(int transform)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD